package com.yihu.hos;

import org.apache.activemq.command.ActiveMQQueue;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.mongo.MongoDataAutoConfiguration;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.jms.annotation.EnableJms;

import javax.jms.Queue;

@SpringBootApplication(exclude = {MongoAutoConfiguration.class, MongoDataAutoConfiguration.class})
@EnableJms
public class HosAdminApplication {

    public static void main(String[] args) throws Exception {
        SpringApplication application = new SpringApplication(HosAdminApplication.class);
        application.run(args);
    }

    @Bean
    public Queue queue() {
        return new ActiveMQQueue("configuration.service.flow");
    }
}
